%define name Thuban
%define version 0.2.0
%define _prefix /usr

Summary: Geographic data viewer
Name: %{name}
Version: %{version}
Release: 2
Source0: %{name}-%{version}.tar.gz
Patch0: Thuban-setup.patch
Copyright: GPL
Group: Development/Libraries
BuildRoot: %{_builddir}/%{name}-buildroot
Prefix: %{_prefix}
Vendor: Intevation GmbH <bh@intevation.de>
Packager: Georg Johann <georg@intevation.de>
Url: ftp:intevation.de/

%description
Thuban is a viewer for geographic data written in Python


%prep

%setup
cp extensions/pyshapelib/{README,README.pyshapelib}
cp extensions/pyshapelib/{COPYING,COPYING.pyshapelib}
cp extensions/pyprojection/{LICENSE,LICENSE.pyprojection}

#%patch0 -p0


%build
env PATH="$PATH:/usr/lib/wxPython/bin" CFLAGS="$RPM_OPT_FLAGS" python2 setup.py build

%install
python2 setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_builddir}/%{name}-%{version}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README extensions/pyshapelib/README.pyshapelib extensions/pyshapelib/COPYING.pyshapelib extensions/pyprojection/LICENSE.pyprojection

%changelog
* Tue Mar 25 2003 Georg Johann <georg@intevation.de>
- assigned the PATH

